Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZTopic Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ()
| get ( $id=-1)
& | getAll ()
& | articles ()
| id ()
| name ( $html=true)
| description ()
| setName ( $value)
| setDescription ( $value)

## Static Public Member Functions
& | getByName ( $name)

## Public Attributes
| $ID
| $Name
| $Description

## Detailed Description

! eZUser eZTopic handles article topics

See also
  eZArticle eZArticeCategory

Definition at line 40 of file eztopic.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTopic::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZTopic object.

Definition at line 45 of file eztopic.php.

References $ID, and $id.

## Member Function Documentation

## ◆ articles()

& eZTopic::articles | ( |  | ) |

Returns all articles with the current topic.

Definition at line 201 of file eztopic.php.

References $article, $currentUserID, $db, $group, $groups, $query, $user, eZUser\currentUser(), and eZDB\globalDatabase().

## ◆ delete()

eZTopic::delete | ( |  | ) |

Deletes a eZTopic object from the database.

Definition at line 106 of file eztopic.php.

References $db, and eZDB\globalDatabase().

## ◆ description()

eZTopic::description | ( |  | ) |

Returns the description.

Definition at line 323 of file eztopic.php.

References $Description.

## ◆ get()

eZTopic::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

True is retuned if successful, false (0) if not.

Definition at line 125 of file eztopic.php.

References $db, $id, $ret, eZDB\globalDatabase(), and Name.

## ◆ getAll()

& eZTopic::getAll | ( |  | ) |

Fetches the user id from the database. And returns a array of eZTopic objects.

Definition at line 180 of file eztopic.php.

References $db, $topic, and eZDB\globalDatabase().

## ◆ getByName()

& eZTopic::getByName | ( |  | $name | ) |
| static

Fetches an eZTopic object from the database with the same name as entered.

Always returns an object of type eZTopic, but with ID 0 if a suitable information isn't found in the db.

Definition at line 156 of file eztopic.php.

References $db, $name, $topic, and eZDB\globalDatabase().

## ◆ id()

eZTopic::id | ( |  | ) |

Returns the object id.

Definition at line 304 of file eztopic.php.

References $ID.

## ◆ name()

eZTopic::name | ( |  | $html = `true` | ) |

Returns the name.

Definition at line 312 of file eztopic.php.

References $Name, and Name.

## ◆ setDescription()

eZTopic::setDescription | ( |  | $value | ) |

Sets the description.

Definition at line 339 of file eztopic.php.

## ◆ setName()

eZTopic::setName | ( |  | $value | ) |

Sets the name.

Definition at line 331 of file eztopic.php.

References Name.

## ◆ store()

eZTopic::store | ( |  | ) |

Stores or updates a eZTopic object in the database.

Definition at line 57 of file eztopic.php.

References $db, $name, $res, eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $Description

eZTopic::$Description

Definition at line 346 of file eztopic.php.

Referenced by description().

## ◆ $ID

eZTopic::$ID

Definition at line 344 of file eztopic.php.

Referenced by __construct(), and id().

## ◆ $Name

eZTopic::$Name

Definition at line 345 of file eztopic.php.

Referenced by name().

The documentation for this class was generated from the following file:

- eztopic.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.